Create federation schedule
Change the synchronization schedule in this federation. Only the federation administrator can invoke this endpoint.
Change the synchronization schedule in this federation. Only the federation administrator can invoke this endpoint.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Project identifier
Query Parameters
Cron-like schedule expression (m1, m2, m3, h1, h2, h4, d1, d2, etc...)
Response Body
application/json
application/json
curl -X GET "https://example.com/c1/fedml/nbra_prj_iris/newSchedule?newSchedule=m5"{ "statusCode": 200, "statusString": "OK", "values": {}}{ "statusCode": 500, "statusString": "Error Invalid project name / or not logged in.", "values": {}}Get federation group information GET
Get a snapshot of this project's federation state: group name, type, secret key, sync schedule, pulsing/error status, and peer info.
Enable peer exploration GET
Allow or disallow other peers in the federation to explore this project. Only valid for federated projects. If `allowExplore` is omitted or anything other than the literal string `true`, exploration is disabled.